#include <string.h>
#include "diksamc.h"

ErrorDefinition dkc_error_message_format[] = {
    {"dummy"},
    {"@G[($(token)t)"},
    {"sȕ($(bad_char))"},
    {"֐dĂ܂($(name))"},
    {"sȃ}`oCgłB"},
    {"zÕChłB"},
    {"z̗vffinalɂ͂ł܂B"},
    {"Zqfinalɑ΂Ă͓Kpł܂B"},
    {"֐̈$(name)dĂ܂B"},
    {"ϐ$(name)dĂ܂B"},
    {"ϐ܂͊֐$(name)t܂B"},
    {"$(name)͊֐łA֐Ăяo()܂B"},
    {"h^ւ̃LXgAєh^ւ̃LXg͂ł܂B"},
    {"$(src)$(dest)ւ̓LXgł܂B"},
    {"ZpZq̃Iyȟ^słB"},
    {"rZq̃Iyȟ^słB"},
    {"_and/orZq̃Iyȟ^słB"},
    {"}CiXZq̃Iyȟ^słB"},
    {"_ے艉Zq̃Iyȟ^słB"},
    {"CNg/fNgZq̃Iyȟ^słB"},
    {"֐ĂяoZq̃Iyh֐ł͂܂B"},
    {"֐$(name)t܂B"},
    {"֐̈̐܂B"},
    {"Zq̍ӂӒlł͂܂B"},
    {"x$(label)݂܂B"},
    {"z񃊃eɂ͍ŒЂƂ̗vfKvłB"},
    {"YZq[]̍ӂzł͂܂B"},
    {"z̓Yintł͂܂B"},
    {"z̃TCYintł͂܂B"},
    {"l[ŏZĂ܂B"},
    {"package߂܂(Ȃł)"},
    {"requireꂽt@Ct܂($(file))"},
    {"requireŃG[܂($(status))B"},
    {"ЂƂ̃\[X瓯̃pbP[W𕡐"
     "requireĂ܂($(package_name))B"},
    {"renameŉ閼Oɂpackagew肪KvłB"},
    {"abstractw肳Ă܂B"},
    {"ANZXCqw肳Ă܂B"},
    {"overridew肳Ă܂B"},
    {"virtualw肳Ă܂B"},
    {"̌^ɂ̓oZq͓Kpł܂B"},
    {"$(class_name)$(member_name)Ƃo͂܂B"},
    {"o$(member_name)privatê߃ANZXł܂B"},
    {"abstractȃ\bh͎Ă܂B"},
    {"abstractłȂ\bhɂ͎Ȃ΂Ȃ܂B"},
    {"̃NXpĂ܂($(name)2ڂ̃NX)B"},
    {"Disamł́AabstractNXȊO͌pł܂"
     "(NX$(name)abstractł͂܂)B"},
    {"abstractNX($(name))newĂ܂B"},
    {"void^̊֐lԂĂ܂B"},
    {"NX$(name)t܂B"},
    {"RXgN^ƂĎw肳Ă郁o$(member_name)"
     "\bhł͂܂B"},
    {"newŎw肳Ă郁\bh$(member_name)RXgN^ł"
     "܂B"},
    {"ŃtB[h($(member_name))͌Ăяo܂B"},
    {"\bh$(member_name)ɑ悤ƂĂ܂B"},
    {"virtualłȂ\bh($(name))̓I[o[Chł܂B"},
    {"\bhI[o[Chۂoverride̎w肪Kvł($(name))B"},
    {"abstractłȂNXɁAabstract\bh$(method_name)݂܂B"},
    {"X[p[NXȂNXsupergĂ܂B"},
    {"super̓\bhĂԈȊOgpł܂B"},
    {"super̃tB[h͎QƂł܂B"},
    {"$(name)̓tB[hłBI[o[Chł܂B"},
    {"tB[h$(name)dĂ܂B"},
    {"z$(name)Ƃ\bh͂܂B"},
    {"$(name)Ƃ\bh͂܂B"},
    {"instanceof̃Iyh͎Qƌ^łȂ΂Ȃ܂B"},
    {"instanceof̉Eӂ̌^͎Qƌ^łȂ΂Ȃ܂B"},
    {"instanceof̑Ώۂ̓NXłȂ΂Ȃ܂B"},
    {"instanceof͏ɐ^łB"},
    {"instanceof͏ɋUłB"},
    {"Diksam̃C^[tFCXɂ͐eq֌W͂Ȃ̂ŁA"
     "instanceof͏ɋUłB"},
    {"_ELXg̑ΏۂƂȂ̂̓NXłB"},
    {"_ELXg̕ϊƂȂ̂̓NXłB"},
    {"̃_ELXg͕svłB"},
    {"X[p[NXɃ_ELXg悤ƂĂ܂B"},
    {"p֌ŴȂNXɃ_ELXg悤ƂĂ܂B"},
    {"Diksam̃C^[tFCXɂ͐eq֌W͂Ȃ̂ŁA"
     "_ELXgł܂B"},
    {"NXȊǑ^catchĂ܂B"},
    {"catchĂNX$(class_name)Exception"
     "TuNXł͂܂B"},
    {"NXȊǑ^throwĂ܂B"},
    {"throwĂNX$(class_name)Exception"
     "TuNXł͂܂B"},
    {"IyĥȂthrowcatch̊Oɂ܂B"},
    {"$(statement_name)finally߂ɂ͏܂B"},
    {"throwsɎw肳Ă$(name)t܂B"},
    {"throwsɎw肳Ă$(name)ExceptioñTuNXł͂܂B"},
    {"O$(name)throws߂Ɏw肳邩A"
     "catchȂ΂Ȃ܂B"},
    {"grequireĂ܂B"},
    {"if̏boolean^ł͂܂B"},
    {"whilȅboolean^ł͂܂B"},
    {"foȑboolean^ł͂܂B"},
    {"do whilȅboolean^ł͂܂B"},
    {"case߂̎̌^svłB"},
    {"ϐ$(name)finalłBł܂B"},
    {"tB[h$(name)finalłBł܂B"},
    {"finalȕϐ$(name)ɏq܂B"},
    {"I[o[ChĂ郁\bh$(name)̃ANZXCqA"
     "X[p[NXɔ׋ȂĂ܂B"},
    {"\bh܂͊֐$(name)̈̐ԈĂ܂B"},
    {"\bh܂͊֐$(func_name)$(index)Ԗڂ̈"
     "$(param_name)̌^ԈĂ܂B"},
    {"\bh܂͊֐$(name)̖߂ľ^słB"},
    {"\bh܂͊֐$(func_name)AKȂO"
     "$(exception_name)throwsɋLqĂ܂B"},
    {"RXgN^𒼐ڌĂяoƂ͂ł܂B"},
    {"^$(name)t܂B"},
    {"񋓌^$(type_name)$(enumerator_name)͂܂B"},
    {"dummy"}
};
